cayenne-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From John Huss <johnth...@gmail.com>
Subject Re: How to use cayenne-migrations
Date Sat, 22 Mar 2014 14:42:45 GMT
Also, you should know that you can generate your initial migration from
your DataMap using MigrationGenerator.  So take advantage of that.


On Sat, Mar 22, 2014 at 9:40 AM, John Huss <johnthuss@gmail.com> wrote:

> Ah, sorry, the pom wasn't really right due to my lack of maven knowledge.
>  If you update it should work now.  Thanks!
>
>
> On Sat, Mar 22, 2014 at 1:42 AM, D Tim Cummings <tim@triptera.com.au>wrote:
>
>> I would like to try using cayenne-migrations to do database schema
>> updates when my application starts but I am not sure how the cayenne
>> sandbox works.
>>
>> I have checked out cayenne-migrations
>>
>> svn co
>> http://svn.apache.org/repos/asf/cayenne/sandbox/cayenne-migrations/
>>
>> and then I tried to install it in my local maven repository
>>
>> cd cayenne-migrations/
>> mvn clean install
>>
>> But I get an error message
>>
>> [ERROR]   The project
>> org.apache.cayenne:cayenne-migrations:3.2M1-SNAPSHOT
>> (/Users/tim/temp/cayenne-migrations/pom.xml) has 1 error
>> [ERROR]     Non-resolvable parent POM: Could not find artifact
>> org.apache.cayenne:cayenne-parent:pom:3.2M1-SNAPSHOT and
>> 'parent.relativePath' points at wrong local POM @ line 4, column 10 ->
>> [Help 2]
>>
>> In the pom.xml I notice
>>
>> <parent>
>>  <groupId>org.apache.cayenne</groupId>
>> <artifactId>cayenne-parent</artifactId>
>>  <version>3.2M1-SNAPSHOT</version>
>> </parent>
>>
>> I changed the version to 3.2M1 and the build seems to get further.
>> However, now I get the following error
>>
>> [ERROR] Failed to execute goal on project cayenne-migrations: Could not
>> resolve dependencies for project
>> org.apache.cayenne:cayenne-migrations:jar:3.2M1: Failed to collect
>> dependencies at
>> org.apache.cayenne.unpublished:cayenne-jdk1.5-unpublished:jar:[3.1,): No
>> versions available for
>> org.apache.cayenne.unpublished:cayenne-jdk1.5-unpublished:jar:[3.1,) within
>> specified range -> [Help 1]
>>
>> In the pom.xml I notice
>>
>>                 <dependency>
>>                         <groupId>org.apache.cayenne.unpublished</groupId>
>>
>> <artifactId>cayenne-jdk1.5-unpublished</artifactId>
>>                         <version>[3.1,)</version>
>>                 </dependency>
>>
>>
>> What should I do next?
>>
>> Tim
>>
>>
>>
>>
>>
>>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message